Bug 95162 - Script: Székely-magyar rovás (Szekler-Hungarian Rovas)
Summary: Script: Székely-magyar rovás (Szekler-Hungarian Rovas)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: text:rtl
Depends on:
Blocks: l10n-hu-Hung-HU
  Show dependency treegraph
 
Reported: 2015-10-18 20:48 UTC by Óvári
Modified: 2016-09-30 11:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-10-18 20:48:13 UTC
Relates to bug 95124:

As the direction of the "Székely-magyar rovás (Szekler-Hungarian Rovas)" script is right-to-left, top-to-bottom:
Please add support for :
    Tools -> Options -> Language Settings -> 
        Languages -> 
            Complex text layout (CLT): Székely-magyar rovás

ISO 15924: Hung, 176
Direction: Right-to-left

Thank you
Comment 1 Buovjaga 2015-10-20 10:27:27 UTC
Let's set to NEW. I think this should be enhancement.
Comment 2 Óvári 2016-08-26 12:11:21 UTC
erack: Thank you for fixing bug 97406 enhancement. Is it also possible to add it to the Complex text layout (CLT) as it is a right-to-left language?
Comment 3 Eike Rathke 2016-08-29 09:52:10 UTC
Oh, sure, that should just had been mentioned in bug 97406 instead of a separate one..  I didn't know.
Comment 4 Commit Notification 2016-08-29 10:13:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d3bb054b2f69f3af5ba49f0cf5ff8c7ac72f625

Resolves: tdf#95162 Hung is RTL/CTL

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Óvári 2016-08-29 22:00:04 UTC
(In reply to Eike Rathke from comment #3)
> Oh, sure, that should just had been mentioned in bug 97406 instead of a
> separate one..  I didn't know.

Sorry, I did not know it could go in one enhancement bug report. Thank you
Comment 6 Óvári 2016-08-29 22:09:11 UTC
(In reply to Commit Notification from comment #4)
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=1d3bb054b2f69f3af5ba49f0cf5ff8c7ac72f625
> Affected users are encouraged to test the fix and report feedback.

Does
LANGUAGE_USER_HUNGARIAN_RUNIC:
need to be changed to:
ROVAS
?
Comment 7 Tamas Rumi 2016-08-30 04:33:37 UTC
(In reply to Óvári from comment #6)
> (In reply to Commit Notification from comment #4)
> > http://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=1d3bb054b2f69f3af5ba49f0cf5ff8c7ac72f625
> > Affected users are encouraged to test the fix and report feedback.
> 
> Does
> LANGUAGE_USER_HUNGARIAN_RUNIC:
> need to be changed to:
> ROVAS
> ?

The ROVAS is much better, because there is no any historical relation to RUNES, therefore it would be misleading to say Hungarian runes. However you may say the rovas is "runic like". This script has its own name, like all living scripts. Please do not change back. See Bug 97406.
Comment 8 Eike Rathke 2016-08-30 10:23:35 UTC
(In reply to Óvári from comment #6)
> Does
> LANGUAGE_USER_HUNGARIAN_RUNIC:
> need to be changed to:
> ROVAS
It really doesn't matter because it is just an internal name of a define, but I did that anyway.
Comment 9 Óvári 2016-08-31 09:21:20 UTC
(In reply to Eike Rathke from comment #8)
> It really doesn't matter because it is just an internal name of a define,
> but I did that anyway.
Thank you very much.